# Typecode_typesC.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for Typecode_typesC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Defines

#define | TAO_EXPORT_MACRO TAO_Export

## Typedefs

typedef TCKind & | TCKind_out

## Enumerations

enum

TCKind {
tk_null, tk_void, tk_short, tk_long,
tk_ushort, tk_ulong, tk_float, tk_double,
tk_boolean, tk_char, tk_octet, tk_any,
tk_TypeCode, tk_Principal, tk_objref, tk_struct,
tk_union, tk_enum, tk_string, tk_sequence,
tk_array, tk_alias, tk_except, tk_longlong,
tk_ulonglong, tk_longdouble, tk_wchar, tk_wstring,
tk_fixed, tk_value, tk_value_box, tk_native,
tk_abstract_interface, tk_local_interface, tk_component, tk_home,
tk_event, TAO_TC_KIND_COUNT
}

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, CORBA::TCKind)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::TCKind &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TCKind& CORBA::TCKind_out

## Enumeration Type Documentation

enum TCKind

Enumeration values:

  tk_null |
  tk_void |
  tk_short |
  tk_long |
  tk_ushort |
  tk_ulong |
  tk_float |
  tk_double |
  tk_boolean |
  tk_char |
  tk_octet |
  tk_any |
  tk_TypeCode |
  tk_Principal |
  tk_objref |
  tk_struct |
  tk_union |
  tk_enum |
  tk_string |
  tk_sequence |
  tk_array |
  tk_alias |
  tk_except |
  tk_longlong |
  tk_ulonglong |
  tk_longdouble |
  tk_wchar |
  tk_wstring |
  tk_fixed |
  tk_value |
  tk_value_box |
  tk_native |
  tk_abstract_interface |
  tk_local_interface |
  tk_component |
  tk_home |
  tk_event |
  TAO_TC_KIND_COUNT |

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | CORBA::TCKind |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::TCKind & |
| ) |